Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet
Interface Shortcut

All Known Implementing Classes:
  ShortcutImpl

    public interface Shortcut

A representation of the model object 'Shortcut'.

The following features are supported:

- `Path`
- `Opposite Reference`

See Also:
  `FacetPackage.getShortcut()`

Method Summary
`EReference` | `getOppositeReference()` Returns the value of the 'Opposite Reference' reference.
`` | `getPath()` Returns the value of the 'Path' reference list.
`void` | `setOppositeReference(EReference value)` Sets the value of the '`Opposite Reference`' reference.

Method Detail

### getPath

     getPath()

  Returns the value of the 'Path' reference list. The list contents are of type `org.eclipse.emf.ecore.EReference`.

  If the meaning of the 'Path' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Path' reference list.
  See Also:
    `FacetPackage.getShortcut_Path()`

### getOppositeReference

    EReference getOppositeReference()

  Returns the value of the 'Opposite Reference' reference.

  If the meaning of the 'Opposite Reference' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Opposite Reference' reference.
  See Also:
    `setOppositeReference(EReference)`, `FacetPackage.getShortcut_OppositeReference()`

### setOppositeReference

    void setOppositeReference(EReference value)

  Sets the value of the '`Opposite Reference`' reference.

  Parameters:
    `value` - the new value of the 'Opposite Reference' reference.
  See Also:
    `getOppositeReference()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD